Skip to content

Delete a work item type

DELETE/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/{type_id}/

Delete an issue type

Path Parameters

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

type_id:requiredstring

The unique identifier of the work item type.

Scopes

projects.work_item_types:write

Delete a work item type
bash
curl -X DELETE \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-item-types/type-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response204

No response body.